unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    OptionsTab: TTabControl;
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    Panel4: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure OptionsTabChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.OptionsTabChange(Sender: TObject);
begin
 Panel1.Visible:=false;
 Panel2.Visible:=false;
 Panel3.Visible:=false;
 Panel4.Visible:=false;

 case OptionsTab.TabIndex of
  0: Panel1.Visible:=true;
  1: Panel2.Visible:=true;
  2: Panel3.Visible:=true;
  3: Panel4.Visible:=true;
 end;
end;

end.
